curl --request GET \
--url https://api.aisa.one/apis/v1/search/full \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aisa.one/apis/v1/search/full"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aisa.one/apis/v1/search/full', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"queryContext": {
"originalQuery": "<string>"
},
"webPages": {
"value": [
{
"name": "<string>",
"snippet": "<string>",
"url": "<string>",
"content": "<string>",
"displayUrl": "<string>",
"datePublished": "2023-11-07T05:31:56Z",
"siteName": "<string>",
"logo": "<string>"
}
]
}
}Perform Full Text Search
Searchfor web content and retrieve full text content with advanced filtering optionsincluding freshness, market, and safety filters
授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
查询参数
Atwo-character country code indicating the country from which the resultoriginated.
2Enumeration value that affects the format of the full text contentreturned
HTML, MARKDOWN Number of search results included in the return results
Filter search results by time values: Day, Week, Month. To get articleswithin a specific time range, specify a date range in the formatYYYY-MM-DD..YYYY-MM-DD. For example, 2019-02-01..2019-05-30.
Themarket from which the results come. Usually, mkt is the country where the usermade the request. The market must be in the language-country format. Forexample, en-US. The string is case-insensitive.
Theoffset from zero, indicating the number of search results to skip beforereturning results. The default value is 0. Use this parameter with the countparameter to paginate the results.
Theuser's search query. This string cannot be empty. The query can containadvanced operators.
Usedto filter adult content in web pages, images, and videos.
Off, Moderate, Strict Thelanguage for User Interface strings. You can use a 2-letter or 4-letter code tospecify the language. A 4-letter code is recommended in the form language-country,where language is an ISO 639-1 language code and country is an ISO 3166country/region code. For example, use en-US for US English.
Aboolean value that determines whether the display string in the result shouldcontain decoration markers (such as hit highlighting characters). If true, thestring may contain markers. The default value is false.